Bug 2077597 - machine-api-controller is not taking the proxy configuration when it needs to reach the RHV API [NEEDINFO]
Summary: machine-api-controller is not taking the proxy configuration when it needs to...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.11.0
Assignee: Evgeny Slutsky
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-21 17:28 UTC by Santiago Maudet
Modified: 2022-06-23 08:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-23 08:30:27 UTC
Target Upstream Version:
smaudet: needinfo? (jammcder)
mburman: needinfo? (jammcder)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github oVirt go-ovirt-client pull 185 0 None Merged Fixes #183: Adding support for proxies 2022-04-27 10:05:42 UTC
Github oVirt ovirt-engine-sdk-go pull 239 0 None Merged Issue ovirt/go-ovirt-client#183: Proxy support 2022-04-27 10:05:42 UTC
Github openshift cluster-api-provider-ovirt pull 136 0 None Merged Bug 2077597: bump go-ovirt-client to v1.0.0-alpha4 2022-05-23 10:41:43 UTC

Description Santiago Maudet 2022-04-21 17:28:39 UTC
Description of problem:

machine-api-controller is not taking the proxy configuration when it needs to reach the RHV API causing a timeout that don't allow the installation process to create the workers. 

Version-Release number of selected component (if applicable):

Platform: oVirt
Install Type: UPI
OCP Cluster Version: 4.8.10

How reproducible:

In customer enviroment 100% 

Steps to Reproduce:

Perform the install with the proxy between the masters and the RHV API

Actual results:

Cluster installation is capable to create the Boostrap machine, the masters, but the workers are not created as the machine-api-controller don't get the proxy configuration to reach RHV API. 

Expected results:

Finish the cluster installation correctly

Comment 7 Janos Bonic 2022-04-27 10:09:54 UTC
@eslutsky@redhat.com backend changes implemented, back to you for the machine API bump.

Comment 10 Evgeny Slutsky 2022-04-27 12:13:47 UTC
machine API bump merged


Note You need to log in before you can comment on or make changes to this bug.